//
// Created by robtor on 09.12.22.
//

#ifndef FLOATPUMP_MENU_ENTRY_TYPE_CHECKABLE_H
#define FLOATPUMP_MENU_ENTRY_TYPE_CHECKABLE_H

#include "Menu_Entry_Type_Delegate.h"

namespace floatpump {
    namespace menu {

    class Menu_Entry_Type_Checkable : public Menu_Entry_Type_Delegate {
    public:
        std::string toString() override {
            return std::string((m_state) ? "True" : "false");
        }

        void u_press() override {
            m_state = !m_state;
        }

        void u_increase(uint16_t steps) override {

        }

        void u_decrease(uint16_t steps) override {

        }

        bool enterable = false;

    private:
        bool m_state = false;

    };

    } // floatpump
} // menu

#endif //FLOATPUMP_MENU_ENTRY_TYPE_CHECKABLE_H
